function P = circlesHough(img,thr)
 
%thr= >0 <1: percentage of max peak to be used to threshold the matrix H.
%default: 0.8

%convert to gray level and check args
if size(img,3)>1
   imgGL = rgb2gray(img); 
else
   imgGL = img;
end
if nargin == 1
    thr = 0.8;
end

%% Extract edges, and the corresponding x,y coordinates
%TO DO:
% ...
 
%% Define the matrix H as a function of the possible centers X and Y, and
% possible radius
[m, n] = size(imgGL);
r_max = ceil(0.5*sqrt(m^2+n^2));
r_min = 2;
stepR = 2;

stepXY = 2;
X0 = 5:stepXY:m-5;
nX0= size(X0,2);

Y0 = 5:stepXY:m-5;
nY0= size(Y0,2);

R = r_min:stepR:r_max;
nR= size(R,2);

H = zeros( nX0, nY0, nR);

%% Implement the voting 
%TO DO:
%... 
 
%% Find out the peaks
[Xc,c_temp] = find(H>thr*max(H(:)),5);
P(:,1) = Xc;
for k = 1:length(c_temp)
    [Yc,Rc] = ind2sub([nY0,nR],c_temp(k));
    P(k,2)= Yc;
    P(k,3)= Rc;
end

%% Visualization
    visCircle(imgGL, P, X0, Y0, R) 
end






