function visCircle(img, P, X0, Y0, R )
% draw circle described in P over the gray scale image img
%INPUT: img: gray scale image
%         P: matrix nx3 where n=number of found circles , each one describe
%         as X , Y, r (center coordinates, and radius)

[m,n] = size(img);
figure('Name','Circles');

% display the original image
subplot(2,1,1);
imshow(img);
title('Original image');
I_hough = uint8(zeros(m,n,3));
for i = 1:3
    I_hough(:,:,i)=img;
end
thSteps = 30;
thStep = 2*pi/thSteps;
for i = 1:size(P,1)
    cX = X0(P(i,1));
    cY = Y0(P(i,2));
    r = R(P(i,3));
    for th = thStep:thStep:2*pi
        xunit = round(r * cos([th-thStep;th])+cX);
        yunit = round(r * sin([th-thStep;th])+cY);
        if xunit(1)>0 & xunit(1)<m & yunit(1)>0 & xunit(1)<n
            I_hough(xunit(1),yunit(1),1)=255;
            I_hough(xunit(1),yunit(1),2:3)=0;
        end
    end
end
% display the circles over the edges
subplot(2,1,2);imshow(I_hough, []); title(['Hough found ' num2str(size(P,1)) ' circles']);hold on
end